%define anolis_release		1
Name:           wayland
Version:	1.23.0
Release:        %{anolis_release}%{?dist}
Summary:        Wayland Compositor Infrastructure

License:        MIT
URL:            http://wayland.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/wayland/wayland/-/releases/%{version}/downloads/wayland-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  docbook-style-xsl
BuildRequires:  doxygen
BuildRequires:  expat-devel
BuildRequires:  graphviz
BuildRequires:  libxml2-devel
BuildRequires:  libxslt
BuildRequires:  meson >= 0.56.0
BuildRequires:  pkgconfig(libffi)
BuildRequires:  xmlto

%description
Wayland is a protocol for a compositor to talk to its clients as well as a C
library implementation of that protocol. The compositor can be a standalone
display server running on Linux kernel modesetting and evdev input devices,
an X application, or a wayland client itself. The clients can be traditional
applications, X servers (rootless or fullscreen) or other display servers.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libwayland-client = %{version}-%{release}
Requires:       libwayland-cursor = %{version}-%{release}
Requires:       libwayland-egl = %{version}-%{release}
Requires:       libwayland-server = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Wayland development documentation
Requires:       %{name} = %{version}-%{release}
BuildArch: noarch
%description doc
Wayland development documentation

%package -n libwayland-client
Summary: Wayland client library
Requires:       %{name} = %{version}-%{release}
%description -n libwayland-client
Wayland client library

%package -n libwayland-cursor
Summary: Wayland cursor library
Requires:       %{name} = %{version}-%{release}
%description -n libwayland-cursor
Wayland cursor library

%package -n libwayland-egl
Summary: Wayland egl library
Requires:       %{name} = %{version}-%{release}
%description -n libwayland-egl
Wayland egl library

%package -n libwayland-server
Summary: Wayland server library
Requires:       %{name} = %{version}-%{release}
%description -n libwayland-server
Wayland server library

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%generate_compatibility_deps

%check
%meson_test

%files
%dir %{abidir}
%license COPYING


%files devel
%{_bindir}/wayland-scanner
%{abidir}/wayland-scanner-option.list
%{_includedir}/wayland-*.h
%{_libdir}/pkgconfig/wayland-*.pc
%{_libdir}/libwayland-*.so
%{_datadir}/aclocal/wayland-scanner.m4
%dir %{_datadir}/wayland
%{_datadir}/wayland/wayland-scanner.mk
%{_datadir}/wayland/wayland.xml
%{_datadir}/wayland/wayland.dtd
%{_mandir}/man3/*.3*

%files doc
%doc README.md
%{_datadir}/doc/wayland/

%files -n libwayland-client
%license COPYING
%{_libdir}/libwayland-client.so.0*
%{abidir}/libwayland-client.dump

%files -n libwayland-cursor
%license COPYING
%{_libdir}/libwayland-cursor.so.0*
%{abidir}/libwayland-cursor.dump

%files -n libwayland-egl
%license COPYING
%{_libdir}/libwayland-egl.so.1*
%{abidir}/libwayland-egl.dump

%files -n libwayland-server
%license COPYING
%{_libdir}/libwayland-server.so.0*
%{abidir}/libwayland-server.dump

%changelog
* Wed Jul 02 2025 wenyuzifang <lzx02244079@alibaba-inc.com> - 1.23.0-1
- Updated to version 1.23.0 to fix xxxxxxxxx


* Sun Aug 6 2023 Funda Wang <fundawang@yeah.net> - 1.22.0-1
- New version 1.22.0

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.21.0-2
- optimise spec file

* Tue Sep 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.21.0-1
- update to 1.21.0

* Thu Apr 14 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.20.0-1
- init from upstream
